﻿body {
    scrollbar-color: #CDCDCD transparent;
    scrollbar-width: auto;
}
.filtro-marca label {
    display: inline-block;
}

.menu-categorias-filtro {
    font-size: 16.66px;
}

.contenedor-aside-categoria {
    border: 1px solid #DCDCDC;
    border-radius: 10px;
    padding: 1rem;
    background: linear-gradient(to bottom, #FFFFFF 0%, #F3F3F3 100%);
    width: 287px;
    max-height: 540px;
}

.contenedor-aside-categoria-marcas {
    border: 1px solid #DCDCDC;
    border-radius: 10px;
    padding: 1rem;
    background: linear-gradient(to bottom, #FFFFFF 0%, #F3F3F3 100%);
    width: 287px;
    max-height: 461px;
}

.contenido-categoria-filtro {
    display: flex;
    flex-direction: row;
    width: 100%;
    position: relative;
}

.titulo-aside-categoria {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 1rem;
}

.contenedor-input-aside-categoria {
    margin-bottom: 1rem;
    width: 100%;
}

.btn-buscar-aside-categoria {
    color: gray;
    position: absolute;
    top: 0;
    right: 0;
    width: 20%;
}

.input-aside-categoria {
    padding: .375rem 3rem .375rem .75rem;
}

.lista-sub-categorias-aside-categoria{
    overflow-y: auto;
    white-space: nowrap;
    max-height: 400px;
}

    .lista-sub-categorias-aside-categoria li:hover {
        background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
    }

    .lista-sub-categorias-aside-categoria li.activa {
        background-color: #DDDDDD;
    }
.filtro-marcas {
    overflow-y: auto;
    white-space: nowrap;
    max-height: 320px;
}
    .filtro-marcas label:hover {
        cursor: pointer;
    }

    .banner-categoria-filtro {
        border-radius: 1rem;
        max-width: 1165px;
        height: 214px;
        overflow: hidden;
    }

    .banner-categoria-filtro img {
        width: 100%;
        height: 100%;
        border-radius: 1rem;
        object-fit: cover;
    }

.superior-categoria-filtro {
    margin-left: 15px;
    width: 100%;
    position: relative;
}

    .superior-categoria-filtro ul {
        font-size: 24px;
        font-weight: 500;
    }

.titulo-sub-categoria-categoria-filtro {
    font-size: 20px;
    margin-left: 3rem;
}

.selector-categoria-filtro {
    font-size: 20px;
    font-weight: 400 !important;
    padding: 1px;
    text-align: center;
    border-radius: .5rem;
}

    .selector-categoria-filtro select {
        text-align: center;
        border-radius: .5rem;
        padding: 5px;
        border: 1px solid #BEBEBE;
    }

.contenedor-productos-categoria-filtro .tarjeta-con-degrade-categoria-filtro::before {
    background: linear-gradient(to bottom, #F4F4F4 0%, var(--color_secundario) 100%);
}

.contenedor-tarjeta {
    width: 184px;
    height: 306px;
    &:hover{
        cursor: pointer;
        margin-bottom: 0px;
        height: 320px;
    }

}

.lista-sub-categorias-aside-categoria a,
.titulo-aside-categoria a {
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: none;
    color: var(--color_texto);
    &:hover{
        cursor: pointer;
        color: var(--negro);
    }
}
